"""This module contains the models for the ``syncable_testapp`` app"""

from polymorphic.models import PolymorphicModel

from mtp.apps.sync.models import Syncable, SyncableForPolymorphicMixin


class SyncableModel(Syncable):
    """A ``Syncable`` model"""

    pass


class SyncablePolymorphicModel(PolymorphicModel, SyncableForPolymorphicMixin, Syncable):
    """A ``Syncable`` and ``Polymorphic``"""

    pass


class SyncableChildrenPolymorphicModel(SyncablePolymorphicModel):
    """A children of ``SyncablePolymorphicModel``"""

    pass
